%global ocaml_docdir /usr/doc/curses

Summary:        OCaml bindings for ncurses
Name:           ocaml-curses
Version:        1.0.11
Release:        5%{?dist}
License:        LGPLv2+

URL:            https://github.com/mbacarella/curses
Source0:        %{url}/archive/%{version}/curses-%{version}.tar.gz

BuildRequires: ncurses-devel
BuildRequires: ocaml >= 4.02.0 ocaml-dune ocaml-dune-configurator-devel

%description
OCaml bindings for ncurses.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       ncurses-devel


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -n curses-%{version}


%build
dune build --verbose --release %{?_smp_mflags}

%install
dune install --destdir=%{buildroot} --verbose --release %{?_smp_mflags}

%files
%license COPYING
%{_libdir}/ocaml/curses
%{_libdir}/ocaml/stublibs/*.so
%exclude %{_libdir}/ocaml/curses/*.a
%exclude %{_libdir}/ocaml/curses/*.cmxa
%exclude %{_libdir}/ocaml/curses/*.cmx
%exclude %{_libdir}/ocaml/curses/*.mli


%files devel
%license COPYING
%doc %{ocaml_docdir}/CHANGES.md
%doc %{ocaml_docdir}/README.md
%{_libdir}/ocaml/curses/*.a
%{_libdir}/ocaml/curses/*.cmxa
%{_libdir}/ocaml/curses/*.cmx
%{_libdir}/ocaml/curses/*.mli


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.11-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.11-4
- Rebuilt for loongarch release

* Sat Jun 22 2024 Rebuild Robot <rebot@opencloudos.org> - 1.0.11-3
- [Type] other
- [DESC] Rebuilt for ocaml

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.11-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 11 2023 rockerzhu <rockerzhu@tencent.com> - 1.0.11-1
- Upgrade to 1.0.11 to build with ocaml 5.0 and fix virt-top build fail.

* Tue Aug 08 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.4-4
- Rebuilt for ocaml-findlib 1.9.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.4-1
- initial build
